/**
 * This class represents the data that is passed into NoSQL searches.
 */
declare class SearchByConditionsObject {
    [key: string]: any;
    /**
     *
     * @param {String} schema
     * @param {String} table
     * @param {[]} get_attributes
     * @param {[SearchCondition]} conditions
     * @param {Number} limit
     * @param {Number} offset
     * @param {string} operator
     */
    constructor(schema: any, table: any, get_attributes: any, conditions: any, limit?: any, offset?: any, operator?: string);
}
declare class SearchCondition {
    [key: string]: any;
    /**
     *
     * @param {String|Number} attribute
     * @param {lmdbTerms.SEARCH_TYPES} comparator
     * @param {*} value
     */
    constructor(attribute: any, comparator: any, value: any);
}
declare class SortAttribute {
    [key: string]: any;
    /**
     *
     * @param {string|number} attribute
     * @param {boolean} desc
     */
    constructor(attribute: any, desc: any);
}
export { SearchByConditionsObject, SearchCondition, SortAttribute };
